Subject: Re: [PATCH] powerpc/eeh: Validate arch in eeh_add_device_early()

From: "Guilherme G. Piccoli" <[email-masked]>
Date: Tue, 19 Jan 2016 18:11:23 -0200

On 01/14/2016 09:37 PM, Michael Ellerman wrote:
>> So, since my patch does not cover this case, I think would be more
>> interesting "unlink" the DDW mechanism from the EEH. It seems easy, I'll
>> try to send you a patch soon.
>>
>> Do you think it is a good approach?
>
> It sounds good, but I don't know off hand whether it will work. See how it goes
> and send us the patch.

You are right (again!). It's kind of complicated to unlink DDW from EEH 
since it relies on EEH to get the config. address of devices.

Instead of try to unlink it, I've inserted an EEH check to avoid issues 
in case DDW can't count on EEH being enabled. Will sent the patches to 
the list.

Thanks very much for your help and comments,

Guilherme